using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using GxPress.Entity;
using GxPress.Request.App.GroupFolder;
using Datory;

namespace GxPress.Repository.Interface
{
    public interface IGroupFolderRepository : IRepository
    {
        Task<bool> InsertAsync(GroupFolderInRequest request);

        Task<bool> UpdateAsync(GroupFolderUpRequest request);

        Task<bool> DeleteAsync(int id);

        Task<IEnumerable<GroupFolder>> FindGroupFoldersAsync(GroupFolderFindRequest request);
    }
}
